PDA

View Full Version : Problems with KOTOR2 and wine



daltocli
October 5th, 2007, 11:28 PM
Hello,

Currently I have wine 0.9.26 installed, running in a Virtual Desktop (800x600) and I'm trying to run KOTOR2.

After using it's Scan Hardware facility I find out that the only problems are:


Graphics: Defined as [] 128MiB, Would prefer an nVIDIA or ATi card... Ignorable
OpenGL: Failed. "Tungsten Graphics, Inc - 1.3 Mesa 6.5.2 installed, it wants "Non-Windows Generic OpenGL 1.4.0 drivers"


Without a doubt it's the OpenGL stopping the game running... I'm running Feisty amd64/x86_64 with 32-bit wine... How do I solve this OpenGL problem?

Just encase anyone finds it useful, a screenshot of the "diagnostics" is here: http://daltocli.co.uk/KOTOR2-ScanHardware.png

Any help would be much appreciated!

cogadh
October 6th, 2007, 12:41 AM
For one thing, you are using a very out of date version of Wine, it would probably be best to upgrade at least to 0.9.33 (the version in the Ubuntu repositories), but the latest version (0.9.46) does have better performance.

As for your OpenGL problem, it would be helpful to know which Intel chipset you have. Some of the older Intel IGP's pretty much have no hope of running the game, but some of the newer chipsets might be able to.

daltocli
October 6th, 2007, 12:53 AM
Heya,

The chip is an Intel 945GM (Got this laptop around January this year), 128MiB shared RAM.

cogadh
October 6th, 2007, 12:56 AM
Then I'm afraid you are probably SOL on this one. The default Intel drivers that come with Ubuntu are the latest available for the 945 and earlier chipsets. Since OpenGL support is a function of the drivers, you won't be able to update to the OpenGL 1.4 support the game requires.

albertotapia80
August 9th, 2008, 08:27 AM
I have the same problem, and I also tryed to play it with wine, and I even try to play it in güindous vista and it didn't worked, is it because of the intel chipset???

I wan't to make this clear güindous was a desperate intent